gtk.CellRendererAccel
Prev | The gtk Class Reference | Next

## gtk.CellRendererAccel

gtk.CellRendererAccel — an object that renders a keyboard accelerator in a cell (new in PyGTK 2.10)

## Synopsis

    class gtk.CellRendererAccel(gtk.CellRendererText):
        gtk.CellRendererAccel()

## Ancestry

    +-- gobject.GObject
      +-- gtk.Object
        +-- gtk.CellRenderer
          +-- gtk.CellRendererText
            +-- gtk.CellRendererAccel

## gtk.CellRendererAccel Properties

gtk.Object Properties

gtk.CellRenderer Properties

gtk.CellRendererText Properties

"accel-key" | Read-Write | The keyval of the accelerator. Default value: 0. This property is available in GTK+ 2.10 and above.

"accel-mode"

Read-Write

Determines if the edited accelerators are GTK+ accelerators. If they are, consumed modifiers are suppressed, only accelerators accepted by GTK+ are allowed, and the accelerators are rendered in the same way as they are in menus. one of the GTK CellRendererAccel Mode Constants. Default value: `gtk.CELL_RENDERER_ACCEL_MODE_GTK`. This property is available in GTK+ 2.10 and above.

"accel-mods" | Read-Write | The modifier mask of the accelerator. One of the GDK Modifier Constants. This property is available in GTK+ 2.10 and above.
"keycode" | Read-Write | The hardware keycode of the accelerator. Note that the hardware keycode is only relevant if the key does not have a keyval. Normally, the keyboard configuration should assign keyvals to all keys. Default value: 0. This property is available in GTK+ 2.10 and above.

## gtk.CellRendererAccel Signal Prototypes

gobject.GObject Signal Prototypes

gtk.Object Signal Prototypes

gtk.CellRenderer Signal Prototypes

gtk.CellRendererText Signal Prototypes

"accel-cleared" | `def callback(`cellrendereraccel`, `path_string`, `user_param1`, `...`)`

"accel-edited" | `def callback(`cellrendereraccel`, `path_string`, `accel_key`, `accel_mods`, `hardware_keycode`, `user_param1`, `...`)`

## Description

`gtk.CellRendererAccel` displays a keyboard accelerator (i.e. a key combination like Control+a). If the cell renderer is editable, the accelerator can be changed by simply typing the new combination.

## Constructor

### gtk.CellRendererAccel

        gtk.CellRendererAccel()

Returns : | the new cell renderer

### Note

This constructor is available in PyGTK 2.10 and above.

Creates a new `gtk.CellRendererAccel`.

## Signals

### The "accel-cleared" Signal

        def callback(cellrendereraccel, path_string, user_param1, ...)

`cellrendereraccel` : | the cellrendereraccel that received the signal
`path_string` : | the path identifying the row of the cleared cell as a string
`user_param1` : | the first user parameter (if any) specified with the `connect`() method
`...` : | additional user parameters (if any)

### Note

This signal is available in GTK+ 2.10 and above.

The "accel-cleared" signal is emitted when the user has removed the accelerator.

### The "accel-edited" Signal

        def callback(cellrendereraccel, path_string, accel_key, accel_mods, hardware_keycode, user_param1, ...)

`cellrendereraccel` : | the cellrendereraccel that received the signal
`path_string` : | the path identifying the row of the edited cell as a string
`accel_key` : | the new accelerator keyval
`accel_mods` : | the new acclerator modifier mask
`hardware_keycode` : | the keycode of the new accelerator
`user_param1` : | the first user parameter (if any) specified with the `connect`() method
`...` : | additional user parameters (if any)

### Note

This signal is available in GTK+ 2.10 and above.

The "accel-edited" signal is emitted when the user has selected a new accelerator.

Prev | Up | Next
gtk.CellRenderer | Home | gtk.CellRendererCombo